com.holonplatform.datastore.mongo.core.enumerations

## Enum MongoReadPreference

- java.lang.Object
- - java.lang.Enum<MongoReadPreference>
  - - com.holonplatform.datastore.mongo.core.enumerations.MongoReadPreference

- All Implemented Interfaces:
    Serializable, Comparable<MongoReadPreference>

      public enum MongoReadPreference
      extends Enum<MongoReadPreference>

  MongoDB `ReadPreference` enumeration.
  Since:
    5.2.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Default read preference.
    `NEAREST` Forces reads to a primary or a secondary.
    `PRIMARY` Forces read to the primary.
    `PRIMARY_PREFERRED` Forces reads to the primary if available, otherwise to a secondary.
    `SECONDARY` Forces reads to a secondary.
    `SECONDARY_PREFERRED` Forces reads to a secondary if one is available, otherwise to the primary.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<com.mongodb.ReadPreference>` | `getReadPreference()` Get the actual `ReadPreference` implementation, if available.
    `static MongoReadPreference` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MongoReadPreference[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final MongoReadPreference DEFAULT

      Default read preference.

    - #### PRIMARY

          public static final MongoReadPreference PRIMARY

      Forces read to the primary.

    - #### PRIMARY_PREFERRED

          public static final MongoReadPreference PRIMARY_PREFERRED

      Forces reads to the primary if available, otherwise to a secondary.

    - #### SECONDARY

          public static final MongoReadPreference SECONDARY

      Forces reads to a secondary.

    - #### SECONDARY_PREFERRED

          public static final MongoReadPreference SECONDARY_PREFERRED

      Forces reads to a secondary if one is available, otherwise to the primary.

    - #### NEAREST

          public static final MongoReadPreference NEAREST

      Forces reads to a primary or a secondary.

  - ### Method Detail

    - #### values

          public static MongoReadPreference[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MongoReadPreference c : MongoReadPreference.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MongoReadPreference valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadPreference

          public Optional<com.mongodb.ReadPreference> getReadPreference()

      Get the actual `ReadPreference` implementation, if available.
      Returns:
        the read preference implementation, or an empty Optional if `DEFAULT`

Copyright © 2019 The Holon Platform. All rights reserved.